CHANGES IN VERSION 1.53.2
-----------------------

  o Speedup motifHclust
  
CHANGES IN VERSION 1.53.1
-----------------------

  o Support import Hocomoco format.
  
CHANGES IN VERSION 1.51.1
-----------------------

  o Update email address.

CHANGES IN VERSION 1.49.1
-----------------------

  o Fix the issue for importMatrix when 'w' is missing.
  
CHANGES IN VERSION 1.47.1
-----------------------

  o Update documentation of motifStack function.
  
CHANGES IN VERSION 1.45.1
-----------------------

  o Fix the issue of 'This picture was not generated by Cairo graphics' for importSVG.
  
CHANGES IN VERSION 1.41.1
-----------------------

  o Fix the issue of importMatrix for mixed cases of alphabet in MEME format.
  
CHANGES IN VERSION 1.39.4
-----------------------

  o Change the fontfamily from 'mono,Courier' to 'mono' in vignettes.
  
CHANGES IN VERSION 1.39.3
-----------------------

  o add XMatrix format for importMatrix.
  
CHANGES IN VERSION 1.39.2
-----------------------

  o Accept scales for y-axis for logo when ic.scale is FALSE.
  
CHANGES IN VERSION 1.39.1
-----------------------

  o Accept user defined x-axis for logo.
  
CHANGES IN VERSION 1.37.5
-----------------------

  o Change the style of motifPile.
  
CHANGES IN VERSION 1.37.5
-----------------------

  o Fix the bug of the ylab grid.
  
CHANGES IN VERSION 1.37.4
-----------------------

  o Fix the bug that the rownames were not checked for alignment.
  
CHANGES IN VERSION 1.37.3
-----------------------

  o Fix the bug method argument of matAlign is ignored.
  
CHANGES IN VERSION 1.37.2
-----------------------

  o Improve importMatrix to read the tags from file.
  
CHANGES IN VERSION 1.37.1
-----------------------

  o handle the error "failed to load cairo DLL"
  
CHANGES IN VERSION 1.35.2
-----------------------

  o Add rmarkdown as suggest package.
  
CHANGES IN VERSION 1.33.14
-----------------------

  o remove reverse complement alignment for RNA motifs.
  
CHANGES IN VERSION 1.33.13
-----------------------

  o narrow the predefined font.
  
CHANGES IN VERSION 1.33.12
-----------------------

  o fix the issue for pcm2pfm if the column counts are not identical.
  
CHANGES IN VERSION 1.33.11
-----------------------

  o update the markers to allow label + line/rect.
  
CHANGES IN VERSION 1.33.10
-----------------------

  o add alignment function for AA motifs.
  
CHANGES IN VERSION 1.33.9
-----------------------

  o fix the issue for AA motif of clusterMotifs
  
CHANGES IN VERSION 1.33.8
-----------------------

  o fix the issue of symbol position for predefined font
  
CHANGES IN VERSION 1.33.7
-----------------------

  o update check ghostscript
  

CHANGES IN VERSION 1.33.6
-----------------------

  o fix the bug in pcm2pssm
  
CHANGES IN VERSION 1.33.5
-----------------------

  o fix the bug in pcm2pssm
  
CHANGES IN VERSION 1.33.4
-----------------------

  o add pssm class
  
CHANGES IN VERSION 1.33.3
-----------------------

  o replace MotIV by matalign.
  o add cutoffPval for motifSignature function.
  
CHANGES IN VERSION 1.33.2
-----------------------

  o add parameter environment for coloredSymbols

CHANGES IN VERSION 1.33.1
-----------------------

  o change grImport, grImport2 and MotIV to Suggests.
  o use roxygen2 to generate help files.
  
CHANGES IN VERSION 1.31.2
-----------------------

  o reduce the compiling time for vignettes.
  
CHANGES IN VERSION 1.31.1
-----------------------

  o fix the issue invloved by replace class(x)=="something" to is(x, "something").

CHANGES IN VERSION 1.29.8
-----------------------

  o remove google scholar from vignette.
  
CHANGES IN VERSION 1.29.7
-----------------------

  o Add google scholar in vignette.
  
CHANGES IN VERSION 1.29.6
-----------------------

  o fix a bug that 'grid' and 'graphics' output mixed for plotMotifStackWithPhylog
  
CHANGES IN VERSION 1.29.5
-----------------------

  o fix a bug that importMatrix can not handle empty matrix.
  
CHANGES IN VERSION 1.29.4
-----------------------

  o fix a bug that markers shift position when alignment.
  
CHANGES IN VERSION 1.29.3
-----------------------

  o accept pcm for plotMotifLogoA
  o geom_motif accept x,y,width,height

CHANGES IN VERSION 1.29.2
-----------------------

  o add markers

CHANGES IN VERSION 1.29.1
-----------------------

  o add function geom_motif

CHANGES IN VERSION 1.27.5
-----------------------

  o change plotMotifLogo to grob.

CHANGES IN VERSION 1.27.4
-----------------------

    o Update authors information.
    o change the d3-tip background color.
    o adjust the fontsize to remove the gaps.
    o change the title position.

CHANGES IN VERSION 1.27.3
-----------------------

    o use grImport2 instead grImport to avoid the installation of ghostscript.

CHANGES IN VERSION 1.27.2
-----------------------

    o add knitr in vignettes to pass window's builder
    
CHANGES IN VERSION 1.27.1
-----------------------

    o try to pass window's builder
    
CHANGES IN VERSION 1.25.2
-----------------------

    o fix the bug when plot "others" type of motif.
    
CHANGES IN VERSION 1.25.1
-----------------------

    o Fix a bug for y-axis plot.
    
CHANGES IN VERSION 1.23.12
-----------------------

    o Silence importMatrix for scan.
    
CHANGES IN VERSION 1.23.11
-----------------------

    o Fix the bug in importMatrix for meme files.
    
CHANGES IN VERSION 1.23.10
-----------------------

    o Fix the bug in importMatrix for meme files.

CHANGES IN VERSION 1.23.9
-----------------------

    o Fix the warning in windows.

CHANGES IN VERSION 1.23.8
-----------------------

    o Update the documentation plotMotifStackWithRadialPhylog.
    
CHANGES IN VERSION 1.23.7
-----------------------

    o Update vignette.
    
CHANGES IN VERSION 1.23.6
-----------------------

    o Add citation.
    
CHANGES IN VERSION 1.23.5
-----------------------

    o Update authors email.
    
CHANGES IN VERSION 1.23.4
-----------------------

    o create global environment to save tmp values.
    
CHANGES IN VERSION 1.23.3
-----------------------

    o change the colorset name from colorBlindness to blindnessSafe
    
CHANGES IN VERSION 1.23.2
-----------------------

    o fix some bugs in documentation.
    
CHANGES IN VERSION 1.23.1
-----------------------

    o add a new color set for color blind safe.
    
CHANGES IN VERSION 1.21.7
-----------------------

    o add newline at the end of RUNX1.pfm
    
CHANGES IN VERSION 1.21.6
-----------------------

    o update the documentations
    
CHANGES IN VERSION 1.21.5
-----------------------

    o add class psam
    o add function plotAffinityLogo
    
CHANGES IN VERSION 1.21.4
-----------------------

    o add function importMatrix

CHANGES IN VERSION 1.21.3
-----------------------

    o add one more option for motifPiles and motifCircos
    
CHANGES IN VERSION 1.21.2
-----------------------

    o fix a bug in plotMotifLogo for pcm

CHANGES IN VERSION 1.21.1
-----------------------

    o update the vignettes.

CHANGES IN VERSION 1.19.4
-----------------------

NEW FEATURES

    o update the css file for tooltip to function browseMotifs.

CHANGES IN VERSION 1.19.3
-----------------------

NEW FEATURES

    o add tooltip to function browseMotifs.
    
CHANGES IN VERSION 1.19.2
-----------------------

NEW FEATURES

    o add radialPhylog layout to function browseMotifs.
    
CHANGES IN VERSION 1.19.1
-----------------------

NEW FEATURES

    o add new function browseMotifs.
    
CHANGES IN VERSION 1.13.8
-----------------------

NEW FEATURES

    o improve plot plotMotifStackWithPhylog.
      
CHANGES IN VERSION 1.13.7
-----------------------

    o update the documentation
    

CHANGES IN VERSION 1.13.6
-----------------------
BUG FIXES

    o fix bug when plot 2 motifs with motifStack function.


CHANGES IN VERSION 1.13.5
-----------------------

NEW FEATURES

    o improve the algorithm of DNAmotifAlignment. Replaced the ALLR by average 
      information content.

CHANGES IN VERSION 1.13.4
-----------------------

NEW FEATURES

    o improve the algorithm of DNAmotifAlignment

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.13.3
-----------------------

NEW FEATURES

    o add reorderUPGMAtree function

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.13.2
-----------------------

NEW FEATURES

    o add mergeMotifs function

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.13.1
-----------------------

NEW FEATURES

    o add plotMotifOverMotif function

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.11.8
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o Fix the bugs if background values don't have a name.

CHANGES IN VERSION 1.11.7
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o Fix the bugs in readPWM

CHANGES IN VERSION 1.11.6
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o Fix the bugs in motifCircos when input r.pfm and r.pfm2

CHANGES IN VERSION 1.11.5
-----------------------

NEW FEATURES

    o export $ and $<- methods for classes

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.11.4
-----------------------

NEW FEATURES

    o add function getRankedUniqueMotifs and pfm2pwm

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.11.3
-----------------------

NEW FEATURES

    o add function motifPiles

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.11.2
-----------------------

NEW FEATURES

    o export function highlightCol
    o add function motifCircos

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.11.1
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o Change the format of help file to avoid lines wider than 90 characters NOTE

CHANGES IN VERSION 1.9.9
-----------------------

NEW FEATURES

    o Add distance axis for plotMotifStackWithRadiaPhylog

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.9.8
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o fix the bug draw motif outside of canvas when plotMotifStackWithRadiaPhylog

CHANGES IN VERSION 1.9.7
-----------------------

NEW FEATURES

    o Change the position of motifs index when plotMotifStackWithRadialPhylog.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.9.6
-----------------------

NEW FEATURES

    o Increase the size of motifs when plotMotifStackWithRadialPhylog.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.9.5
-----------------------

NEW FEATURES

    o Change default of plotIndex to FALSE when plotMotifStackWithRadialPhylog.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.9.4
-----------------------

NEW FEATURES

    o Restyle index number when plotMotifStackWithRadialPhylog.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.9.3
-----------------------

NEW FEATURES

    o Add index number when plotMotifStackWithRadialPhylog.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.9.2
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o Fix bugs using motifDB in tests.

CHANGES IN VERSION 1.7.8
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o Fix bugs for motifSignature when the distance is larger than
    maximal distance.

CHANGES IN VERSION 1.7.7
-----------------------

NEW FEATURES

    o add ic.scale parameter to plotMotifLogo.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.7.6
-----------------------

NEW FEATURES

    o Change the class of signature to include the color sets.

BUG FIXES

    o Allow motifSignature to accept Non-Binary Trees.

CHANGES IN VERSION 1.7.5
-----------------------

NEW FEATURES

    o Change the output of motifStack for further steps.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.7.3
-----------------------

NEW FEATURES

    o Change the output of readPCM from a matrix to a list of 
    pcm objects.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.7.2
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o fix the bugs of changing plot layout when using plotMotifLogoStackWithTree


CHANGES IN VERSION 1.7.1
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o fix the bugs of leave names and plot region

CHANGES IN VERSION 1.5.4
-----------------------

NEW FEATURES

    o use BiocStyle to write vignette

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.5.3
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o fix the bug that motifStack can not plot color correctly for 
    radialPhylog layout in motifStack(). 

CHANGES IN VERSION 1.5.2
-----------------------

NEW FEATURES

    o use log-likelihood ratio (ALLR) to do alignment

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.5.1
-----------------------

NEW FEATURES

    o plotMotifStackWithRadialPhylog can draw motif cloud in 
      RadialPhylog style. Check vignette to see the details

BUG FIXES

    o check mode of pcm and pfm matrix, which should be numeric



CHANGES IN VERSION 1.2.12
-----------------------

NEW FEATURES

    o New methods add to pcm and pfm class.

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.2.10
-----------------------

NEW FEATURES

    o New function motifStack
    o motifCloud function is separated into two functions: motifSignature
    and motifCloud
    o New class pcm and motifSig

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.2.9
-----------------------

NEW FEATURES

    o New layout for function motifCloud to draw motif cloud

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.2.8
-----------------------

NEW FEATURES

    o New function motifCloud to draw motif cloud

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.2.7
-----------------------

NEW FEATURES

    o Shorten the execution time

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.2.6
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o Fix bug object 'rayonWidth' not found when the pfms is not given
    for plotMotifStackWithRadialPhylog()

CHANGES IN VERSION 1.2.5
-----------------------

NEW FEATURES

    o Append a set of color prameter to control
    the behavior of plotMotifStackWithRadialPhylog()

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.2.4
-----------------------

NEW FEATURES

    o Append a prameter clockwise, init.angle and angle to control
    the behavior of plotMotifStackWithRadialPhylog()

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

CHANGES IN VERSION 1.2.3
-----------------------

NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

BUG FIXES

    o fix the bug that plots x-axis repeatedly in plotMotifLogo(). 


CHANGES IN VERSION 1.2.2
-----------------------

NEW FEATURES

    o Append a prameter revcomp indicates whether the DNAmotifAlignment
    should use reverse-complement motif for alignment.

BUG FIXES

    o Append a prameter rcpostfix, defaut is "(RC)", to the name slot
    of the pfm when DNAmotifAlignment using reverse-complement motif
    for alignment.

CHANGES IN VERSION 1.2.0
-----------------------

NEW FEATURES

    o draw aligned motif logo stacks with phylogenetic tree in radial style

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)


CHANGES IN VERSION 1.0.0
-----------------------

NEW FEATURES

    o draw DNA/RNA sequence logo

    o draw Amino Acid sequence logo

    o draw aligned motif logo stacks with phylogenetic tree

BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)
